package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabContainer;
import com.zd.laboratory.domain.LabHazardSubjectRelation;

/**
 * 压力容器Mapper接口
 *
 * @author zd
 * @date 2021-09-01
 */
public interface LabContainerMapper {
    /**
     * 查询压力容器
     *
     * @param id 压力容器主键
     * @return 压力容器
     */
    public LabContainer selectLabContainerById(Long id);

    /**
     * 查询压力容器列表
     *
     * @param labContainer 压力容器
     * @return 压力容器集合
     */
    public List<LabContainer> selectLabContainerList(LabContainer labContainer);

    /**
     * 新增压力容器
     *
     * @param labContainer 压力容器
     * @return 结果
     */
    public int insertLabContainer(LabContainer labContainer);

    /**
     * 修改压力容器
     *
     * @param labContainer 压力容器
     * @return 结果
     */
    public int updateLabContainer(LabContainer labContainer);

    /**
     * 删除压力容器
     *
     * @param id 压力容器主键
     * @return 结果
     */
    public int deleteLabContainerById(Long id);

    /**
     * 批量删除压力容器
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabContainerByIds(Long[] ids);

    /**
     * 批量新增危险源和实验室关联
     *
     * @param labHazardSubjectRelationList 危险源和实验室关联列表
     * @return 结果
     */
    public int batchLabHazardSubjectRelation(List<LabHazardSubjectRelation> labHazardSubjectRelationList);


    /**
     * 通过压力容器主键删除危险源和实验室关联信息
     *
     * @param id 压力容器ID
     * @return 结果
     */
    public int deleteLabHazardSubjectRelationByHazardId(Long id);

    int deleteLabHazardSubjectRelationByHazardIds(Long[] ids);
}
